1.0
1.0
get /v1/guardrails/{guardrail_id}
Description
show a specific guardrail.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | guardrail_id required | 가드레일 ID Example : 2c8a138f8d78e1fc29a449dbfa8681 | string | None |
| query | landing_zone_id optional | 랜딩 존 ID Example : 2c8a138f8d78e1fc29a449dbfa8681 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | GuardrailShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/guardrails/{guardrail_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"
Example HTTP response
Response 200
{
"guardrail": {
"binding_ous": [],
"created_at": "2024-12-19 01:09:05.000",
"created_by": "c23fb561c689455993874fa5d5ed4a2f",
"description": "This is an example guardrail.",
"guidance": "MANDATORY",
"id": "2c8a138f8d78e1fc29a449dbfa8681",
"modified_at": "2023-10-15 14:30:00",
"modified_by": "c23fb561c689455993874fa5d5ed4a2f",
"name": "foo-guardrail",
"service_name": "iam",
"srn": "srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681",
"status": "DISABLED",
"type": "PREVENTIVE"
}
}